import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_markdown/flutter_markdown.dart';
import 'package:url_launcher/url_launcher.dart';

class UzuMd extends StatelessWidget {
  UzuMd({required this.body});

  final String body;

  static const MethodChannel _channel = const MethodChannel('uzu_md');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  @override
  Widget build(BuildContext context) {
    return MarkdownBody(
      data: body.replaceAll('\n', '  \n'),
      onTapLink: (_, url, __) {
        if (url == null) {
          return;
        }
        launch(url);
      },
      styleSheet: MarkdownStyleSheet(
        h1: const TextStyle(
            fontSize: 32, fontWeight: FontWeight.bold, height: 3),
        h2: const TextStyle(
            fontSize: 26, fontWeight: FontWeight.bold, height: 3),
        h3: const TextStyle(
            fontSize: 22, fontWeight: FontWeight.bold, height: 3),
        h4: const TextStyle(
            fontSize: 20, fontWeight: FontWeight.bold, height: 2),
        p: const TextStyle(
          fontSize: 14,
          height: 1.6,
        ),
      ),
    );
  }
}
